.XPI veränderung

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

  • .XPI veränderung

    Weis jemand wie man eine .XPI (Addon für Firefox) verändert, so das sie auch mit neueren Versionen läuft?
    Allso die .XPI um die es sich handelt geht bis version 2.0, jetzt hab ich version 2.0.0.1, weis jemand wie man das Anpassen kann?
  • hab da mal was gefunden:

    Einige Extensions haben ja ihren Geist aufgegeben seit Erscheinen von Firefox 2.0 von Mozilla. Manchmal lässt sich dieses Problem aber fix selber beheben, da die Extension eigentlich problemlos unter der neuen Firefox-Version laufen würde, wenn da nicht die Versionskontrolle wäre.

    Natürlich gibt es auch einige Extensions, die richtig an neue Versionen angepasst werden müssen, aber wie gesagt, manchmal hilft schon eine Veränderung der Versionskontrolle.

    Zum Beispiel funktioniert die Extension namens "FasterFox" nicht mehr in Firefox 2.0. Wenn man allerdings die Xpi-Datei (kurz für: Cross-Platform Install), die nur ein Zip-Archiv ist, entpackt und darin dann die Datei "install.rdf" mit einem Texteditor öffnet (auf die richtige Zeichensatz-Codierung sollte natürlich geachtet werden) und nach dem Tag <em:maxVersion> sucht, kann man die Extension wieder zum Laufen bekommen, sofern man in dem Tag die Version auf 2.0.0* erhöht, speichert und wieder als Zip-Archiv packt.



    ich weiß jetzt nich, ob dir ds hilft, kannst aber ja mal probieren. ;)
    Kiddies?